h1{
    font-family: 'Josefin Sans', sans-serif;
    font-size: 40px;
    text-align: center;
    position: relative;
    width: 100%;
    margin-top: 2rem;
}

h1::before{
    margin-left: 10%;
    content: "";
    display: block;
    width: 80%;
    height: 3px;
    position: absolute;
    background-color: black;
    top: 50%;
    z-index: -1;
}

h1 span{
    z-index: 99;
    background-color: white;
    padding: 0 15px;
}

.img-gallery{
    width: 80%;
    margin: 50px auto 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
    gap: 30px;
}

.img-gallery img{
    width: 100%;
    cursor: pointer;
    transition: 1s;
}

.img-gallery img:hover{
    transform: scale(1.2);
}

.ful-img{
    font-family: 'Josefin Sans', sans-serif; 
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99;
}

.ful-img span{
    position: absolute;
    top: 10%;
    right: 5%;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

.ful-img img{
    width: 90%;
    max-width: 600px;
}

@media screen and (max-width: 400px){

    h1{
        text-decoration: underline;
    }

    h1::before{
        display: none;
    }

    h1 span{
        padding: 0;
    }

}